[![Release](https://img.shields.io/github/release/bioinfo16/RIPAT.svg)](https://github.com/bioinfo16/RIPAT/releases)
[![Downloads](https://img.shields.io/github/downloads/bioinfo16/RIPAT/total?logo=github)](https://github.com/bioinfo16/RIPAT/releases/download/v0.99.0/RIPAT_v0.99.0.tar.gz)
[![Issues](https://img.shields.io/github/issues/bioinfo16/RIPAT.svg)](https://github.com/bioinfo16/RIPAT/issues)
# RIPAT
#### Retroviral Integration Pattern Analysis Tool   
This tool is developed for viral vector integration pattern analysis.  
Researchers who want to use this R package, need to input file generated by BLAST(NCBI) or BLAT(UCSC).  
If you have any question about this package, contact to author by this e-mail, *mjbaek16@korea.ac.kr*.  

*****
  
  * Install package  
We recommand the way using __*devtools*__ package in R.   But, you can download this package like zipped file from this repository.  
Plus, we wiil upload this package in Bioconductor repository. It's in progress.  
- Using devtools __*(Recommended)*__
```
devtools::install_github("bioinfo16/RIPAT")
```
- Or, donwload it through the menu *releases* and enter the following command in the console.  
But, this way doesn't install package which is needed for running __RIPAT__.
```
R CMD INSTALL [PACKAGE_DOWNLOAD_PATH]
```


* Package information  
If you want to use __RIPAT__, please install **R** (>=4.0) is recommanded.  
Plus, users can install these required packages (GeonomicRanges, IRanges, karyoploteR, regioneR) by this command below.  
```
BiocManager::install('[PACKAGE_NAME]')
```

+ Requirements  
   + R package list (version)  
      + biomaRt (>=2.38.0)  
      + GenomicRanges (>= 1.34.0)  
      + ggplot2 (>=3.1.0)  
      + grDevices (>=3.5.3)  
      + karyoploteR (>=1.6.3)  
      + openxlsx (>=4.1.4)  
      + plyr (>=1.8.4)  
      + RColorBrewer (>=1.1-2) 
      + regioneR (>=1.12.0)
      + rtracklayer (>=1.42.2)  
      + stats (>=3.5.3)  
      + stringr (>=1.3.1)  
      + utils (>=3.5.3)  

    + Input format
      + BLAST (Same with outfmt = 6 of command-line BLAST)  
        
        Column_name | Contents  
        --------------- | ---------------  
        qseqid | query sequence id  
        sseqid | subject sequence id  
        pident | percentage of identical matches  
        length | alignment length  
        mismatch | number of mismatches  
        gapopen | number of gap openings  
        qstart | start of alignment in query  
        qend | end of alignment in query  
        sstart | start of alignment in subject  
        send | end of alignment in subject  
        evalue | expect value  
        bitscore | bit score  
      + BLAT  
        \*.psl format file  

+ Session environment  
```
R version 3.5.3 (2019-03-11)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows >= 8 x64 (build 9200)

Matrix products: default

locale:
[1] LC_COLLATE=Korean_Korea.949  LC_CTYPE=Korean_Korea.949    LC_MONETARY=Korean_Korea.949
[4] LC_NUMERIC=C                 LC_TIME=Korean_Korea.949    

attached base packages:
[1] parallel  stats4    stats     graphics  grDevices utils     datasets  methods   base     

other attached packages:
 [1] stringr_1.4.0        rtracklayer_1.42.2   RColorBrewer_1.1-2   plyr_1.8.5          
 [5] openxlsx_4.1.4       karyoploteR_1.8.8    regioneR_1.14.0      ggplot2_3.3.0       
 [9] GenomicRanges_1.34.0 GenomeInfoDb_1.18.2  IRanges_2.16.0       S4Vectors_0.20.1    
[13] BiocGenerics_0.28.0  biomaRt_2.38.0       RIPAT_0.99.8        

loaded via a namespace (and not attached):
 [1] ProtGenerics_1.14.0         bitops_1.0-6                matrixStats_0.55.0         
 [4] bit64_0.9-7                 progress_1.2.2              httr_1.4.1                 
 [7] tools_3.5.3                 backports_1.1.5             R6_2.4.1                   
[10] rpart_4.1-13                lazyeval_0.2.2              Hmisc_4.3-1                
[13] DBI_1.1.0                   colorspace_1.4-1            nnet_7.3-12                
[16] withr_2.1.2                 tidyselect_1.0.0            gridExtra_2.3              
[19] prettyunits_1.1.1           curl_4.3                    bit_1.1-15.2               
[22] compiler_3.5.3              Biobase_2.42.0              htmlTable_1.13.3           
[25] bezier_1.1.2                DelayedArray_0.8.0          scales_1.1.0               
[28] checkmate_2.0.0             digest_0.6.25               Rsamtools_1.34.1           
[31] foreign_0.8-71              XVector_0.22.0              base64enc_0.1-3            
[34] dichromat_2.0-0             pkgconfig_2.0.3             htmltools_0.4.0            
[37] ensembldb_2.6.8             BSgenome_1.50.0             htmlwidgets_1.5.1          
[40] rlang_0.4.5                 rstudioapi_0.11             RSQLite_2.2.0              
[43] BiocParallel_1.16.6         zip_2.0.4                   acepack_1.4.1              
[46] dplyr_0.8.4                 VariantAnnotation_1.28.13   RCurl_1.98-1.1             
[49] magrittr_1.5                GenomeInfoDbData_1.2.0      Formula_1.2-3              
[52] Matrix_1.2-15               Rcpp_1.0.3                  munsell_0.5.0              
[55] bamsignals_1.14.0           lifecycle_0.2.0             stringi_1.4.6              
[58] yaml_2.2.1                  SummarizedExperiment_1.12.0 zlibbioc_1.28.0            
[61] grid_3.5.3                  blob_1.2.1                  crayon_1.3.4               
[64] lattice_0.20-38             Biostrings_2.50.2           splines_3.5.3              
[67] GenomicFeatures_1.34.8      hms_0.5.3                   knitr_1.28                 
[70] pillar_1.4.3                XML_3.99-0.3                glue_1.3.1                 
[73] biovizBase_1.30.1           latticeExtra_0.6-28         data.table_1.12.8          
[76] vctrs_0.2.4                 gtable_0.3.0                purrr_0.3.3                
[79] assertthat_0.2.1            xfun_0.12                   AnnotationFilter_1.6.0     
[82] survival_3.1-8              tibble_3.0.1                GenomicAlignments_1.18.1   
[85] AnnotationDbi_1.44.0        memoise_1.1.0               cluster_2.0.7-1            
[88] ellipsis_0.3.0             

```
